Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048302
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-12-21 16:202022-02-01 09:19
ReporterjmelinView Statuspublic 
Assigned TojavierRodriguez 
PriorityhighResolutionfixedFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048302: JIRA 2580 - Verified Return - Its popup should set the line quantity to return and update remaining quantity

DescriptionCurrent behaviour en POS2:

- Verify returns popup works as a wizard, in terms of the user can select lines and quantities to return. These lines are added to the receipt. This flow DOES NOT override the previous value.

This behaviour is not correct. The application should override the quantity to return if there is a previous line with return any quantity of that product.

Apart from that, in the popup, for each line there is a remaining quantity. This value should be updated if some subset of the line was added before.
Steps To ReproduceDo an order and add a product with a quantity > 1
Complete the order

Look for the order and do a verified return
Select the product and a quantity of 1
=> OK; 1 line with qty 1 to return
Without closing the opened return, do a verified return of the same order and update the qty to 2.
=> KO; in the verified returns popup, the remaining line qty should be the initial quantity - 1
=> KO; 1 line with qtr 3, should be 3
Proposed SolutionTHIS FEATURE ONLY AFFECTS TO NEW POS. THE OLD VERSION WORKS AS EXPECTED

- Instead of launch an add product user action, the line quantity should be set.
- Update remaining quantity after all.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0048352TAP closedjavierRodriguez JIRA 2580 - Verified Return - Its popup should set the line quantity to return and update remaining quantity 
blocks defect 0048148 acknowledgedRetail Verified returns and discounts are not having a correct behavior (Umbrella issue) 

-  Notes
(0134113)
hgbot (developer)
2022-01-04 15:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/768 [^]
(0134114)
hgbot (developer)
2022-01-04 16:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/merge_requests/35 [^]
(0134163)
hgbot (developer)
2022-01-10 11:20

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/merge_requests/35 [^]
(0134164)
hgbot (developer)
2022-01-10 11:20

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns [^]
Changeset: 3fa33a6121df78de0bea3239d1647cb64ae939fa
Author: Jorge Garcia <jorge.garcia@openbravo.com>
Date: 04-01-2022 16:05:37
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/commit/3fa33a6121df78de0bea3239d1647cb64ae939fa [^]

Fixed ISSUE-48302: Calculate promotion amount and gross and net
amount of a verified line with correct quantity

Update unitary tests to include grossUnitPrice and baseNetUnitPrice
values for verified return lines.

---
M web-test/model/business-object/ticket/actions/ReturnVerifiedTicket.test.js
M web/org.openbravo.retail.returns/app/model/business-object/ticket/actions/ReturnVerifiedTicket.js
---
(0134165)
hgbot (developer)
2022-01-10 11:21

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 8f1209948534492fabaee5e88cca2314b5514e86
Author: Jorge Garcia <jorge.garcia@openbravo.com>
Date: 10-01-2022 11:16:48
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/8f1209948534492fabaee5e88cca2314b5514e86 [^]

Related to ISSUE-48302: Send correct qty information to ticket state action

---
M web-jspack/org.openbravo.pos2/src/components/VerifiedReturns/VerifiedReturnsForm/VerifiedReturnsForm.jsx
---
(0134166)
hgbot (developer)
2022-01-10 11:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/768 [^]
(0134416)
jmelin (developer)
2022-01-20 15:25
edited on: 2022-01-20 15:27

On livebuild,
create an order
add 10 “Avalanche receiver”
click on the product in the order and apply a discount of 5%
pay by Cash


Do a verified return and select a qty of 2
=> OK

Keep the order opened, and execute verified return again, but change the quantity from 2 to 4
=> KO, expect quantity to be 4 and not 6 and discount should be 30.10

(note : there a double negative before the discount amount, I think this should be removed if the discount is positive in a return)

(0134695)
guilleaer (manager)
2022-02-01 09:19

On 28/01 we have updated issue details to match with the investigation done

- Issue History
Date Modified Username Field Change
2021-12-21 16:20 jmelin New Issue
2021-12-21 16:20 jmelin Assigned To => Retail
2021-12-21 16:20 jmelin Triggers an Emergency Pack => No
2021-12-23 09:59 guilleaer Relationship added blocks 0048148
2021-12-23 10:01 guilleaer Target Version TAP =>
2021-12-23 10:03 guilleaer Status new => acknowledged
2022-01-03 09:01 jorge-garcia Assigned To Retail => jorge-garcia
2022-01-04 13:04 jorge-garcia Status acknowledged => scheduled
2022-01-04 15:59 hgbot Note Added: 0134113
2022-01-04 16:07 hgbot Note Added: 0134114
2022-01-05 10:26 jorge-garcia Review Assigned To => migueldejuana
2022-01-10 11:20 hgbot Resolution open => fixed
2022-01-10 11:20 hgbot Status scheduled => closed
2022-01-10 11:20 hgbot Note Added: 0134163
2022-01-10 11:20 hgbot Fixed in Version => RR22Q2
2022-01-10 11:20 hgbot Note Added: 0134164
2022-01-10 11:21 hgbot Note Added: 0134165
2022-01-10 11:21 hgbot Note Added: 0134166
2022-01-20 15:25 jmelin Note Added: 0134416
2022-01-20 15:25 jmelin Status closed => new
2022-01-20 15:25 jmelin Fixed in Version RR22Q2 =>
2022-01-20 15:26 jmelin Note Edited: 0134416 View Revisions
2022-01-20 15:27 jmelin Note Edited: 0134416 View Revisions
2022-01-27 15:43 elara Assigned To jorge-garcia => elara
2022-01-27 15:44 elara Status new => scheduled
2022-01-27 16:13 guilleaer Status scheduled => acknowledged
2022-01-27 16:13 guilleaer Status acknowledged => scheduled
2022-01-27 16:13 guilleaer Assigned To elara => javierRodriguez
2022-01-28 13:20 javierRodriguez Summary JIRA 2580 - Verified Return - Discount amount is not correct when updating a product qty => JIRA 2580 - Verified Return - Its popup should set the line quantity to return and update remaining quantity
2022-01-28 13:20 javierRodriguez Description Updated View Revisions
2022-01-28 13:20 javierRodriguez Steps to Reproduce Updated View Revisions
2022-01-28 13:20 javierRodriguez Proposed Solution updated
2022-01-31 13:30 javierRodriguez Proposed Solution updated
2022-02-01 09:19 guilleaer Note Added: 0134695


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker